dnf-yum-4.2.5-1.1.noarch.rpm


Advertisement

Description

dnf-yum - As a Yum CLI compatibility layer, supplies /usr/bin/yum redirecting to DNF

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename dnf-yum-4.2.5-1.1.noarch.rpm
Package name dnf-yum
Package version 4.2.5
Package release 1.1
Package architecture noarch
Package type rpm
Category System/Packages
Homepage https://github.com/rpm-software-management/dnf
License GPL-2.0-or-later AND GPL-2.0-only
Maintainer -
Download size 84.07 KB
Installed size 85.07 KB
As a Yum CLI compatibility layer, it supplies /usr/bin/yum redirecting to DNF.

Alternatives

Package Version Architecture Repository
dnf-yum - - -

Requires

Name Value
dnf = 4.2.5-1.1

Provides

Name Value
dnf-yum = 4.2.5-1.1

Conflicts

Name Value
yum -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package dnf-yum-4.2.5-1.1.noarch.rpm
Source Package dnf-4.2.5-1.1.src.rpm

Install Howto

Install dnf-yum rpm package:

# zypper install dnf-yum

Files

Path
/usr/bin/yum
/usr/share/doc/packages/dnf-yum/AUTHORS
/usr/share/doc/packages/dnf-yum/README.rst
/usr/share/licenses/dnf-yum/COPYING
/usr/share/licenses/dnf-yum/PACKAGE-LICENSING
/usr/share/man/man1/yum-aliases.1.gz
/usr/share/man/man5/yum.conf.5.gz
/usr/share/man/man8/yum-shell.8.gz
/usr/share/man/man8/yum.8.gz

Changelog

2019-04-26 - Neal Gompa <ngompa13@gmail.com>
- Update to version 4.2.5
+ Fix multilib obsoletes (rh#1672947)
+ Do not remove group package if other packages depend on it
+ Remove duplicates from "dnf list" and "dnf info" outputs
+ Installroot now requires absolute path
+ Allow globs in setopt in repoid part
+ Fix formatting of message about free space required
+ [doc] Add info of relation update_cache with fill_sack (rh#1658694)
+ Fix installation failiure when duplicate RPMs are specified (rh#1687286)
+ Add command abbreviations (rh#1634232)
+ Allow plugins to terminate dnf (rh#1701807)
+ Fix installation of bash completion helper (rh#1695853)
- Drop patches that are part of this release
* 0001-Add-command-abbreviations-RhBug-1634232.patch
* 0002-CMake-Actually-install-aliases.patch
* 0001-Fix-the-installation-of-completion_helper.py.patch
- Backport fix for rendering exception messages in Python 3
* 0001-Python2-3-compatibility-for-exceptions-representatio.patch
2019-04-20 - Neal Gompa <ngompa13@gmail.com>
- Ship systemd units and enable dnf-automatic subpackage
- Backport fix to reintroduce subcommand abbreviations (rh#1634232)
* Patch: 0001-Add-command-abbreviations-RhBug-1634232.patch
* Patch: 0002-CMake-Actually-install-aliases.patch
- Backport fix to correctly install the bash completion helper (rh#1695853)
* Patch: 0001-Fix-the-installation-of-completion_helper.py.patch
2019-03-31 - Neal Gompa <ngompa13@gmail.com>
- Update to version 4.2.2
+ Allow to enable modules that break default modules (rh#1648839)
+ Enhance documentation - API examples
+ Add --nobest option
+ Do not allow direct module switch (rh#1669491)
+ Use improved config parser that preserves order of data
+ Fix alias list command (rh#1666325)
+ Update documentation: implemented plugins; options; deprecated commands (rh#1670835, rh#1673278)
+ Support zchunk (".zck") compression
+ Fix behavior  of ``--bz`` option when specifying more values
+ Follow RPM security policy for package verification
+ Update modules regardless of installed profiles
+ Fix ``list --showduplicates`` (rh#1655605)
+ [conf] Use environment variables prefixed with DNF_VAR_
+ Enhance documentation of --whatdepends option (rh#1687070)
+ Allow adjustment of repo from --repofrompath (rh#1689591)
+ Document cachedir option (rh#1691365)
+ Retain order of headers in search results (rh#1613860)
+ Solve traceback with the "dnf install @module" (rh#1688823)
- Drop upstreamed patch that is part of this release
* 0001-doc-Use-the-correct-sphinx-build-binary-for-Python-2.patch
2019-02-07 - Jan Engelhardt <jengelh@inai.de>
- Reduce generated boilerplate by joining %systemd_* calls.
2019-02-07 - Neal Gompa <ngompa13@gmail.com>
- Rebase to version 4.0.10:
+ Migrated large amounts of code to libdnf
+ Add support for RH/Fedora modules
+ Migrate from YUMDB to new SWDB
+ Add dnssec extension for repodata
+ Add support for aliases
- Drop Python 2 subpackage
- Drop unneeded patches
* 0001-Add-additional-default-distroverpkg-and-installonlyp.patch
* dnf-2.6.3-Switch-default-reposdir-to-etc-dnf-repos.d.patch
* dnf-2.7.5-Fix-detection-of-Python-2.patch
- Add patch to fix detecting Sphinx in a Python 3 only build
* 0001-doc-Use-the-correct-sphinx-build-binary-for-Python-2.patch
2018-04-30 - Neal Gompa <ngompa13@gmail.com>
- Re-enable boolean dependencies now that Leap 15.0 and Tumbleweed
both only use rpm-md repository metadata, which supports this
properly.
- Adjust changes entries to use full author identities
2018-01-20 - Neal Gompa <ngompa13@gmail.com>
- Fix build-time detection of Python 2
* Add patch: dnf-2.7.5-Fix-detection-of-Python-2.patch
2018-01-04 - Neal Gompa <ngompa13@gmail.com>
- Ensure DNF can recognize SUSE distro-release and kernel packages properly
* Add patch: 0001-Add-additional-default-distroverpkg-and-installonlyp.patch

See Also

Package Description
dns24-update-1.0-1.2.noarch.rpm Simple update client for the dns24.ch DynDNS service
dnscrypt-proxy-1.9.5-3.4.i586.rpm A tool for securing communications between a client and a DNS resolver
dnscrypt-proxy-1.9.5-3.4.x86_64.rpm A tool for securing communications between a client and a DNS resolver
dnscrypt-proxy-devel-1.9.5-3.4.i586.rpm Header files for development of DNSCrypt plugins
dnscrypt-proxy-devel-1.9.5-3.4.x86_64.rpm Header files for development of DNSCrypt plugins
dnsmasq-2.80-3.2.i586.rpm DNS Forwarder and DHCP Server
dnsmasq-2.80-3.2.x86_64.rpm DNS Forwarder and DHCP Server
dnsmasq-utils-2.80-3.2.i586.rpm Utilities for manipulating DHCP server leases
dnsmasq-utils-2.80-3.2.x86_64.rpm Utilities for manipulating DHCP server leases
dnstracer-1.9-1.6.i586.rpm Trace a DNS record to its start of authority
dnstracer-1.9-1.6.x86_64.rpm Trace a DNS record to its start of authority
docbook-css-stylesheets-0.4-161.6.noarch.rpm DocBook CSS Stylesheets
docbook-dsssl-stylesheets-1.79-176.1.noarch.rpm DSSSL Stylesheets for the DocBook DTD
docbook-simple-1.0-334.7.noarch.rpm Simple DocBook DTD and Documentation
docbook-tdg-2.0.6-400.6.noarch.rpm DocBook: The Definitive Guide
Advertisement
Advertisement